using System;
using System.Runtime.InteropServices;/* Provides mappings between C# and native code */

namespace NumericalAlgorithmsGroup
{
  class tanfunc
    {

      /* NAG routine declarations copied from flcsdnet64.cs */

       [DllImport("NLW6I27DE_nag.dll")]
         public static extern double S07AAF(
                                            ref double X,
                                            ref int IFAIL
                                            );

      public static void Main()
	{
	  double tanresult;
	  int ifail = 1;
	  double x = Math.PI/4;
	  tanresult = S07AAF(ref x, ref ifail);
	  Console.WriteLine("tan pi/4 = {0, 4:f2}", tanresult);
	}
    }
}
